[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: binNMU for recoll

On Fri, Jun 15, 2007 at 01:44:15PM +0000, Olly Betts wrote:
> recoll needs a binNMU to get rebuilt against xapian-core 1.0.1-1
> because the shlib version has increased - the shared library package is
> now libxapian15 not libxapian13.

> According to buildd.d.o, xapian-core 1.0.1-1 is already built and
> installed for all architectures:

> http://buildd.debian.org/pkg.cgi?maint=olly%40survex.com


> This binNMU is still required, and is now blocking the migration of
> xapian-core 1.0.1-1 and dependent packages to testing.

> (The only other thing blocking migration seems to be that the binary
> package php4-xapian needs to be dropped).

I'm not sure if this is actually the case; at least in unstable there are
packages depending both on libxapian and on apt, and apt isn't ready to
transition yet.

We'll see what happens with the next britney run, I've added a hint for
these packages.  Anyway, php4-xapian is already gone from unstable so that's
no longer a blocker.

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/

Reply to: